# Modelica Buildings library

This is the development site for the Modelica _Buildings_ library and its user guide.

Stable releases including all previous releases are available from the main project site
at http://simulationresearch.lbl.gov/modelica.

Instructions for developers are available on the [wiki](https://github.com/lbl-srg/modelica-buildings/wiki).

## Library description

The Modelica Buildings library is a free open-source library with dynamic simulation models for building energy and control systems. The library contains models for
- air-based HVAC systems,
- water-based heating systems,
- controls,
- heat transfer among rooms and the outside, and
- multizone airflow, including natural ventilation and contaminant transport.


The main project site is http://simulationresearch.lbl.gov/modelica.

## Current release

Download [Buildings Library v1.4 build 1 (2013-05-15)](https://github.com/lbl-srg/modelica-buildings/archive/v1.4_build1.zip)

## License

The models in the Buildings library are released under the following license, which is based on the Modelica license 2.0, with changes to protect entities that are funding the copyright holder, including without limitation the U.S. Government. See [Buildings library license](http://simulationresearch.lbl.gov/modelica/releases/latest/help/Buildings_UsersGuide.html#Buildings.UsersGuide.License).

Python modules are available under the 3-clause BSD-license. See [BuildingsPy license](http://simulationresearch.lbl.gov/modelica/buildingspy/legal.html).

## Development and contribution
You may report any issues with using the [Issues](https://github.com/lbl-srg/modelica-buildings/issues) button.

Contributions in the form of [Pull Requests](https://github.com/lbl-srg/modelica-buildings/pulls) are always welcome.
Prior to issuing a pull request, make sure your code follows the [style guide and coding conventions](https://github.com/lbl-srg/modelica-buildings/wiki/Style-Guide).
